/*
 * Class TYPED_POINTER [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_809 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_809 [] = {0xFF01,810,808,182,0xFFFF};
static const EIF_TYPE_INDEX egt_2_809 [] = {808,182,0xFFFF};
static const EIF_TYPE_INDEX egt_3_809 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_809 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_809 [] = {808,182,0xFFFF};
static const EIF_TYPE_INDEX egt_6_809 [] = {808,182,0xFFFF};
static const EIF_TYPE_INDEX egt_7_809 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_809 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_809 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_809 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_809 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_809 [] = {808,182,0xFFFF};
static const EIF_TYPE_INDEX egt_13_809 [] = {808,182,0xFFFF};
static const EIF_TYPE_INDEX egt_14_809 [] = {0xFF01,214,0xFFFF};
static const EIF_TYPE_INDEX egt_15_809 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_809[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_809), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_809), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11122, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_809), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_809), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_809), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_809), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_809), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_809), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_809), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_809), 11137, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_809), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_809), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_809), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_809), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1030, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1031, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1032, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11120, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11123, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11119, 0},
	{EIF_GENERIC(NULL), 11121, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11124, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11125, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11126, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_809), 11127, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11128, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11129, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11130, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11131, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11132, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11133, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11134, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11135, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11136, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11138, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11139, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11140, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11141, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11142, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11143, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 11144, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11145, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_809), -1, 0xFFFFFFFF},
};
void Init809(void)
{
	IDSC(desc_809, 0, 808);
	IDSC(desc_809 + 1, 1, 808);
	IDSC(desc_809 + 32, 39, 808);
	IDSC(desc_809 + 35, 248, 808);
	IDSC(desc_809 + 37, 102, 808);
	IDSC(desc_809 + 60, 10, 808);
}


#ifdef __cplusplus
}
#endif
